package org.sadigit.control.exception;

import lombok.Getter;

@Getter
public class CustomException extends RuntimeException{
    private static final long serialVersionUID = 1L;

	private Object customErrorStructure;

	public CustomException() {
		super();
	}

	public CustomException(String msg) {
		super(msg);
	}

	public CustomException(String msg, Object customErrorStructure) {
		super();
		this.customErrorStructure = customErrorStructure;
	}
}
