package org.sadigit.entity;

import java.time.LocalDate;

import org.hibernate.annotations.Immutable;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "session", schema = "apkt_transactional")
@Immutable
public class SessionUser extends PanacheEntity {
    @Column(name = "id")
    private Long id;

    @Column(name = "id_regu", nullable = false)
    private Long id_regu;

    @Column(name = "waktu_login", nullable = false)
    private LocalDate waktu_login;

    @Column(name = "waktu_logout")
    private LocalDate waktu_logout;

    @Column(name = "aktif", nullable = false)
    private Boolean aktif;

    @Column(name = "created_date")
    private LocalDate created_date;

    @Column(name = "created_by")
    private Long created_by;

}
