package org.sadigit.entity.referensi;

import io.quarkus.hibernate.orm.panache.PanacheEntity;

import java.time.LocalDate;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "kelurahan", schema = "apkt_transactional")

public class Kelurahan extends PanacheEntity {
    @Column(name = "id")
    private Long id;

    @Column(name = "id_kecamatan")
    private Long id_kecamatan;

    @Column(name = "nama")
    private String nama;

    @Column(name = "created_date")
    private LocalDate created_date;

    @Column(name = "created_by")
    private Long created_by;

    @Column(name = "updated_date")
    private LocalDate updated_date;

    @Column(name = "updated_by")
    private Long updated_by;

}
