package org.sadigit.entity.referensi;

import java.time.LocalDateTime;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "material", schema = "apkt_transactional")
public class Material extends PanacheEntity {
    @Column(name = "id", nullable = false)
    private Long id;

    @Column(name = "nama", nullable = false)
    private String nama;

    @Column(name = "created_date")
    private LocalDateTime created_date;

    @Column(name = "created_by")
    private Long created_by;

    @Column(name = "updated_date")
    private LocalDateTime updated_date;

    @Column(name = "updated_by")
    private Long updated_by;
    @Column(name = "stok")
    private Long stok;

    @Column(name = "stok_os")
    private Long stok_os;

    @Column(name = "satuan")
    private String satuan;
    @Column(name = "merk")
    private String merk;
    @Column(name = "tahun_manufaktur")
    private String tahun_manufaktur;

    @ManyToOne
    @JoinColumn(name = "id_posko", referencedColumnName = "id")
    private Posko posko;
}
