package org.sadigit.entity.transaksi;

import jakarta.persistence.*;
import java.io.Serializable;
import java.sql.Timestamp;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;

@Entity
@Table(name = "histrunworkflow", schema = "apkt_transactional")
public class HistRunWorkflow extends PanacheEntityBase implements Serializable {

    @Id
    @Column(name = "runworkflowid", nullable = false)
    private Long runWorkflowId;

    @Column(name = "workflowid")
    private Long workflowId;

    @Column(name = "requestby")
    private Long requestBy;

    @Column(name = "lastworkflowdetailid")
    private Long lastWorkflowDetailId;

    @Column(name = "laststatus", length = 50)
    private String lastStatus;

    @Column(name = "laststatustype", length = 50)
    private String lastStatusType;

    @Column(name = "createdate")
    private Timestamp createDate;

    // Constructors, getters, and setters...
}
