package org.sadigit.entity.transaksi;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;

@Entity
@Setter
@Getter
@Table(name = "runtask", schema = "apkt_transactional")
public class RunTask extends PanacheEntityBase implements Serializable {
    @Id
    @Column(name = "runtaskid", nullable = false)
    private Long runtaskid;

    @Column(name = "runworkflowid")
    private Long runworkflowid;

    @Column(name = "workflowdetail")
    private Long workflowdetail;

    @Column(name = "runtaskfrom")
    private Long runtaskfrom;

    @Column(name = "isdone", length = 1)
    private String isdone;

    @Column(name = "createdate")
    private LocalDateTime createdate;

    @Column(name = "createby")
    private Long createby;

    @Column(name = "updatedate")
    private LocalDateTime updatedate;

    @Column(name = "updateby")
    private Long updateby;

    @Column(name = "STATUS", length = 50)
    private String STATUS;

    @Column(name = "statustype", length = 50)
    private String statustype;

    @Column(name = "COMMENTS")
    private String COMMENTS;

    @Column(name = "filtergroup", length = 200)
    private String filtergroup;

    @Column(name = "ordernumber")
    private Long ordernumber;

    // Constructors, getters, and setters...
}
