package org.sadigit.model.response;

import org.sadigit.entity.referensi.SubTipeKeluhan;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class GetMasterJenisPengaduanResponseV2 {
    private String jenis_pengaduan;
    private Long kode_pengaduan;
    private Long subkode_pengaduan;
    private String subjenis_pengaduan;
    private String pengaduan;

    public static GetMasterJenisPengaduanResponseV2 fromSubTipeKeluhan(SubTipeKeluhan tipeKeluhan) {

        return GetMasterJenisPengaduanResponseV2.builder()
            .jenis_pengaduan(tipeKeluhan.getTipeKeluhan().getIssuetypename())
            .kode_pengaduan(tipeKeluhan.getTipeKeluhan().getIssuetypeid())
            .subkode_pengaduan(tipeKeluhan.getSubissuetypeid())
            .subjenis_pengaduan(tipeKeluhan.getSubissuetypename())
            .pengaduan("GANGGUAN")
            .build();
    }
}
