package org.sadigit.repository.entity.referensi;

import java.util.List;
import org.sadigit.entity.referensi.SubFasilitas;
import io.quarkus.hibernate.orm.panache.PanacheRepository;
import jakarta.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class SubFasilitasRepository implements PanacheRepository<SubFasilitas> {

    public List<SubFasilitas> findSubFasilitasByFasilitasId(Long fasilitasId) {
        return SubFasilitas.find("fasilitas.id", fasilitasId).list();
    }

}
