package org.sadigit.repository.entity.referensi;

import jakarta.enterprise.context.ApplicationScoped;
import lombok.Data;

import java.util.List;

import org.sadigit.entity.referensi.Uid;

import io.quarkus.hibernate.orm.panache.PanacheRepository;

@Data
@ApplicationScoped
public class UidRepository implements PanacheRepository<Uid>{

    public List<Uid> findAllUid() {
        return Uid.listAll();
    }

    public List<Uid> findByIdPulau(Long pulauId) {
        return Uid.find("idPulau", pulauId).list();
    }
}
