package org.sadigit.control.exception;

import lombok.Getter;

@Getter
public class GetDataGarduV2Exception extends RuntimeException{

    private static final long serialVersionUID = 1L;
    private String errorCode;

    public GetDataGarduV2Exception(String errorCode) {
        super();
        this.errorCode = errorCode;
    }

    public GetDataGarduV2Exception(String errorCode, String msg) {
        super(msg);
        this.errorCode = errorCode;
    }
}
