package org.sadigit.entity.masterYantek;

import org.hibernate.annotations.Immutable;
import org.locationtech.jts.geom.Polygon;

import io.quarkus.hibernate.orm.panache.PanacheEntity;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "area_yantek", schema = "apkt_transactional")
@Immutable
public class AreaYantek extends PanacheEntity {
    @Column(name = "id", nullable = false)
    private Long id;

    @Column(name = "id_ulp")
    private Long idUlp;

    @Column(name = "geom_area")
    private Polygon geomArea;

    @Column(name = "rowid", nullable = false, updatable = false, insertable = false)
    private Long rowId;

    @Column(name = "color")
    private String color;

}
