package org.sadigit.entity.masterYantek;

import java.time.LocalDateTime;

import org.hibernate.annotations.Immutable;
import org.sadigit.entity.transaksi.MasterRegu;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "shift", schema = "apkt_transactional")
@Immutable
public class Shift extends PanacheEntityBase {

    @Id
    @Column(name = "id", nullable = false)
    private Long id;

    @ManyToOne
    @JoinColumn(name = "id_regu", nullable = false)
    private MasterRegu masterRegu;

    @Column(name = "nama", nullable = false)
    private String nama;

    @Column(name = "kode", nullable = false)
    private String kode;

    @Column(name = "waktu_mulai", nullable = false)
    private LocalDateTime waktu_mulai;

    @Column(name = "waktu_selesai", nullable = false)
    private LocalDateTime waktu_selesai;

    @Column(name = "aktif", nullable = false)
    private Boolean aktif;

    @Column(name = "created_date")
    private LocalDateTime created_date;

    @Column(name = "created_by")
    private Long created_by;
}
