package org.sadigit.entity.referensi;

import java.time.LocalDateTime;
import io.quarkus.hibernate.orm.panache.PanacheEntityBase;
import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;

@Entity
@Setter
@Getter
@Table(name = "trm_ratingpln", schema = "apkt_transactional")
public class RatingPln extends PanacheEntityBase {
    
    @Id
    @Column(name = "no_laporan", length = 20, nullable = false)
    public String noLaporan;

    @Column(name = "nilai", length = 5)
    public String nilai;

    @Column(name = "status_nilai")
    public Long statusNilai;

    @Column(name = "createdate")
    public LocalDateTime createDate;

    @Column(name = "updatedate")
    public LocalDateTime updateDate;

    @Column(name = "keterangan", length = 500)
    public String keterangan;
}
