package org.sadigit.entity.transaksi;

import jakarta.persistence.*;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.sql.Timestamp;

import io.quarkus.hibernate.orm.panache.PanacheEntityBase;

@Entity
@Setter
@Getter
@Table(name = "histruntask", schema = "apkt_transactional")
public class HistRunTask extends PanacheEntityBase implements Serializable {

    @Id
    @Column(name = "runtaskid", nullable = false)
    private Long runTaskId;

    @Column(name = "runworkflowid")
    private Long runWorkflowId;

    @Column(name = "workflowdetail")
    private Long workflowDetail;

    @Column(name = "runtaskfrom")
    private Long runTaskFrom;

    @Column(name = "isdone", length = 1)
    private String isDone;

    @Column(name = "createdate")
    private Timestamp createDate;

    @Column(name = "createby")
    private Long createBy;

    @Column(name = "updatedate")
    private Timestamp updateDate;

    @Column(name = "updateby")
    private Long updateBy;

    @Column(name = "STATUS", length = 50)
    private String status;

    @Column(name = "statustype", length = 50)
    private String statusType;

    @Column(name = "COMMENTS")
    private String comments;

    @Column(name = "filtergroup", length = 200)
    private String filterGroup;

    @Column(name = "ordernumber")
    private Long orderNumber;

    // Constructors, getters, and setters...
}
