package org.sadigit.repository.entity.referensi;

import jakarta.enterprise.context.ApplicationScoped;
import lombok.Data;

import java.util.List;

import org.sadigit.entity.referensi.Material;

import io.quarkus.hibernate.orm.panache.PanacheRepository;

@Data
@ApplicationScoped
public class MaterialRepository implements PanacheRepository<Material> {

    public List<Material> findAllMaterial() {
        return Material.listAll();
    }

    public List<Material> findMaterialByPoskoId(Long poskoId) {
        return Material.find("posko.id", poskoId).list();
    }

}
