package org.sadigit.repository.entity.referensi;

import jakarta.enterprise.context.ApplicationScoped;

import java.util.List;

import org.sadigit.entity.referensi.Posko;

import io.quarkus.hibernate.orm.panache.PanacheRepository;

@ApplicationScoped
public class PoskoRepository implements PanacheRepository<Posko> {

    public List<Posko> findByIdUp3(Long idup3) {
        return this.find("SELECT p.id,p.nama FROM Posko p WHERE p.ulp.idUp3 = ?1", idup3).list();
    }
}