package org.sadigit.repository.entity.transaksi;

import jakarta.enterprise.context.ApplicationScoped;
import java.util.List;

import org.sadigit.entity.transaksi.GangguanFoto;

import io.quarkus.hibernate.orm.panache.PanacheRepository;

@ApplicationScoped
public class GangguanFotoRepository implements PanacheRepository<GangguanFoto> {

    public List<GangguanFoto> getGangguanFotoByNoLaporan(String noLaporan) {
        return this.find("gangguan.no_laporan", noLaporan).list();
    }

}